package org.dyncle;





/**
 * Abstract class for Collect type component.
 * @version 1: add outputPort as a member variable
 * @author Hiroyuki NAKAGAWA
 */
public abstract class CTypeComponent<T> extends ComponentBehaviour {
	protected Port<T> outputPort;


	/**
     * This constructor sets the owner agent for this behavior.
     * @param a The agent this behavior belongs to.
     */
	public CTypeComponent(SASystem a) {
		super(a);
		compType = ComponentType.COLLECT;
		
		outputPort = new Port<T>("ObserveResult", PortType.PROVIDED, this);
		this.addPort(outputPort);
	}

	public CTypeComponent(SASystem a, String name, String serviceType){
		super(a, name, serviceType);
		compType = ComponentType.COLLECT;
		
		outputPort = new Port<T>("ObserveResult", PortType.PROVIDED, this);
		this.addPort(outputPort);
	}


	public void output(T t) throws PortException{
		outputPort.put(t);
	}
//	public <T> void setOutputPort(){
//		
//	}

//	public Rete getEngine() {
//		return engine;
//	}


}
