package org.dyncle;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class IgnoreCaseHashMap<K,V> extends HashMap<K,V> {

	 /**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 1810080654209341720L;

	public boolean containsKey(Object key) {
		         return super.containsKey(key.toString().toLowerCase());
	 }
	 
	 public V get(Object key) {
		 return super.get(key.toString().toLowerCase());
	 }
	 
    public V put(K key, V value) {
   	 return super.put((K)(key.toString().toLowerCase()), value);
    }
    
    public void putAll(Map map) {
   	 Iterator<K> it = map.keySet().iterator();
   	 while (it.hasNext()) {
   		 K key = (K)it.next();
   		 V value = (V)map.get(key);
   		 this.put(key, value);
   	 }
    }

    public V remove(Object key) {
   	 return super.remove(key.toString().toLowerCase());
    }
}
