package org.dyncle;

import java.util.ArrayList;
import java.util.List;

public class PlanList {
	private List<Plan> pList; 
	private int currentPlanNo;
	private static int _INITIAL_PLAN_NO_ = -1;

	public PlanList(){
		pList = new ArrayList<Plan>();
		currentPlanNo = _INITIAL_PLAN_NO_;
	}
	
	public void addList(Plan p){
		pList.add(p);
	}
	
	public Plan getNextPlan(){
		if(currentPlanNo+1 < pList.size()){
			return pList.get(++currentPlanNo);
		}
		else{ //Since there are no other plans, reset counter and return null.
			currentPlanNo = _INITIAL_PLAN_NO_;
			return null;
		}
	}

	/**
	 * Clears plan list (and counter).
	 */
	public void reset(){
		pList.clear();
		resetCounter();
	}

	/**
	 * Resets counter, but it does not change plan list.
	 * It corresponds to get back to the initial state.
	 */
	public void resetCounter(){
		currentPlanNo = _INITIAL_PLAN_NO_;
	}
	

//	public Plan getNextPlan(Plan p){
//		if(p==null){
//			return pList.get(0);
//		}
//		int i=0;
//		while(i<pList.size()){
//			if
//		}
//	}
	
	public List<Plan> getAllPlans(){
		return pList;
	}
	
	//////////////////////////////////// printout  ////////////////////////////////////
	public void printAllPlans(){
		System.out.println("Plans:");
		for(Plan p: pList){
			p.printPlan();
		}
	}
}
