package org.nak.cleaning.experiment;

import java.awt.Point;
import java.util.HashMap;

import org.nak.cleaning.map.FieldMap;
import org.nak.cleaning.object.ChargeStation;
import org.nak.cleaning.object.DustBin;
import org.nak.cleaning.object.Element;
import org.nak.cleaning.object.EmptyCan;
import org.nak.cleaning.object.Leaves;
import org.nak.cleaning.object.Litter;
import org.nak.cleaning.object.PileOfJunk;
import org.nak.cleaning.object.Sand;


public class Map54 extends FieldMap {

	public Map54(){
		super();
		//Preliminary map for SEAMS EXP (final version: Map55)
		//including a lot of dust items, PileOfJunk, station, and dust bin 
		//target dust items before and after charging are different
		_WIDTH_ = 8;
		_DEPTH_ = 7;
		map = new HashMap<Point,Element>();
		map.put(new Point(0,1), new Sand());
		map.put(new Point(0,5), new Sand());
		map.put(new Point(2,2), new Sand());
		map.put(new Point(6,3), new Sand());
		map.put(new Point(5,6), new Sand());
		map.put(new Point(7,0), new Sand());

		map.put(new Point(1,4), new Leaves());
		map.put(new Point(2,6), new Leaves());

		map.put(new Point(2,0), new PileOfJunk());
		map.put(new Point(0,3), new PileOfJunk());
		map.put(new Point(7,2), new PileOfJunk());
//		map.put(new Point(6,5), new PileOfJunk());

		map.put(new Point(3,4), new Litter());
		map.put(new Point(5,1), new Leaves());
		map.put(new Point(6,2), new Leaves());
		map.put(new Point(6,5), new Leaves());

		map.put(new Point(0,4), new Litter());
		map.put(new Point(1,0), new Litter());
		map.put(new Point(1,5), new Litter());
		map.put(new Point(4,2), new Litter());
		map.put(new Point(4,5), new Litter());
		map.put(new Point(6,0), new Litter());
		map.put(new Point(7,4), new Litter());

		map.put(new Point(1,6), new EmptyCan());
		map.put(new Point(2,5), new EmptyCan());
		map.put(new Point(3,1), new EmptyCan());
		map.put(new Point(3,6), new EmptyCan());
		map.put(new Point(4,0), new EmptyCan());
		map.put(new Point(5,4), new EmptyCan());
		map.put(new Point(7,1), new EmptyCan());
		map.put(new Point(7,6), new EmptyCan());

		
		map.put(new Point(2,3), new ChargeStation());
		map.put(new Point(5,0), new ChargeStation());

		map.put(new Point(4,3), new DustBin());

		//robot
		initRobotPoint = new Point(0,6);

		
		//parameters of the robot
//		private static final int _MAX_BATTERY_ = 100;
//		public static final int _BATTERY_THRESHOLD_ = 30;
//		private static final int _POWER_FOR_MOVE_ = 4;
//		private static final int _POWER_FOR_SEARCH_ = 3;
//
//		private static final int _POWER_FOR_PICK_UP_ = 2;
//		private static final int _POWER_FOR_SWEEP_ = 2;

	}
}
