package robot.de.comp;

import java.awt.Point;

import org.dyncle.CTypeComponent;
import org.dyncle.Mode;
import org.dyncle.PortException;
import org.dyncle.SASystem;

import robot.de.CleaningRobot;

/**
 * Component for obtaining current position <br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
public class GetPosition extends CTypeComponent<Point> {
	public Mode mode;
	
	public GetPosition(SASystem agent) {
		super(agent, "GetPosition", "GetPosition");
	}

	/**
	 * Execution task
	 */
	public void perform() {
		try {
			output(((CleaningRobot)myAgent).simulator.getCurrentPoint());
		} catch (PortException e) {
			e.printStackTrace();
		}
	}
}