package robot.de.comp;

import org.dyncle.CTypeComponent;
import org.dyncle.Mode;
import org.dyncle.PortException;
import org.nak.cleaning.object.Appearance;

import robot.de.CleaningRobot;

/**
 * Component for observing appearance of dust items and results of the cleaning <br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
public class ObserveDustAppearanceAndResult extends CTypeComponent<Appearance> {

	public ObserveDustAppearanceAndResult(CleaningRobot agent) {
		super(agent, "ObserveDustAppearanceAndResult", 
				"ObserveDustAppearanceAndResult");
	}

	/**
	 * Execution task
	 */
	public void perform() {
		try {
			if(((CleaningRobot)myAgent).simulator.existsDust()){
				output(((CleaningRobot)myAgent).simulator.watchObject());
			}
			else output(Appearance.NOTHING);
		} catch (PortException e) {
			e.printStackTrace();	
		}
			mode = Mode.ACHIEVED;
	}
}

