package robot.de.comp;

import java.awt.Point;

import org.dyncle.ComponentBehaviour;
import org.dyncle.Mode;

import robot.de.CleaningRobot;

/**
 * Component for picking up dust items <br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
public class PickUpDust extends ComponentBehaviour{

	public PickUpDust(CleaningRobot agent) {
		super(agent);
		name = "PickUpDust";
		serviceType = "Cleaning";
	}

	/**
	 * Execution task
	 */
	public void perform() {
		mode = Mode.ACTIVE;
		System.out.println("Component: PickUpDust");
		if(((CleaningRobot)myAgent).simulator.existsDust()){
			Point currentPoint = ((CleaningRobot)myAgent).simulator.getCurrentPoint();
			System.out.println("\tPick up dust at ("+currentPoint.x+","+currentPoint.y+").");

			((CleaningRobot)myAgent).simulator.pickUp();
			mode = Mode.ACHIEVED;
		}
		else{
			System.out.println("\tDust is not found here.");
			mode = Mode.NOT_ACHIEVED;
		}
	}
}