package robot.de.comp;

import java.awt.Point;

import org.dyncle.ComponentBehaviour;
import org.dyncle.Mode;

import robot.de.CleaningRobot;

/**
 * Component for sweeping dust items<br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
public class SweepDust extends ComponentBehaviour {

	public SweepDust(CleaningRobot agent) {
		super(agent);
		name = "SweepDust";
		serviceType = "Cleaning";
	}

	/**
	 * Execution task
	 */
	public void perform() {
		System.out.println("Component: SweepDust");
		if(((CleaningRobot)myAgent).simulator.existsDust()){
			Point currentPoint = ((CleaningRobot)myAgent).simulator.getCurrentPoint();
			System.out.println("\tSweep dust at ("+currentPoint.x+","+currentPoint.y+").");

			((CleaningRobot)myAgent).simulator.sweep();
			mode = Mode.ACHIEVED;
		}
		else{
			System.out.println("\tDust is not found here.");
			mode = Mode.NOT_ACHIEVED;
		}
	}
}
