package robot.de.comp.additional;

import org.dyncle.ComponentBehaviour;
import org.dyncle.Mode;

import robot.de.CleaningRobot;

/**
 * Component for charging battery <br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
public class ChargeBattery extends ComponentBehaviour {

	public ChargeBattery(CleaningRobot agent) {
		super(agent, "ChargeBattery", "ChargeBattery");
//		super(agent);
	}

	/**
	 * Execution task
	 */
	public void perform() {
		System.out.println("Component: ChargeBattery");
		System.out.println("\tCharging battery ...");
		if(((CleaningRobot)myAgent).simulator.chargeBattery()){
			System.out.println("\tBattery is charged");
			mode = Mode.ACHIEVED;
		}
		else{
			System.out.println("*** Robot can't charge battery ***");
		}
	}
}
