package robot.de.comp.additional;

import org.dyncle.CTypeComponent;
import org.dyncle.Mode;
import org.dyncle.PortException;
import org.dyncle.SASystem;

import robot.de.CleaningRobot;

/**
 * Component for observing current battery level <br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
class ObserveBatteryLevel extends CTypeComponent<Integer> {
	public Mode mode;
	
//	private boolean isChecking;

	public ObserveBatteryLevel(SASystem agent) {
		super(agent, "ObserveBatteryLevel", "ObserveBatteryLevel");
//		isChecking = false;
	}

	/**
	 * Execution task
	 */
	public void perform() {
		try {
			output(new Integer(((CleaningRobot)myAgent).simulator.getBattery()));
		} catch (PortException e) {
			e.printStackTrace();
		}

	}
}