package robot.de.comp.additional;

import org.dyncle.CTypeComponent;
import org.dyncle.Mode;
import org.dyncle.PortException;
import org.dyncle.SASystem;

import robot.de.CleaningRobot;

/**
 * Component for observing current load amount <br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
class ObserveLoadAmount extends CTypeComponent<Integer> {
	public Mode mode;
	
	public ObserveLoadAmount(SASystem agent) {
		super(agent, "ObserveLoadAmount", "ObserveLoadAmount");
//		super(agent);
	}

	/**
	 * Execution task
	 */
	public void perform() {
		try {
			output(new Integer(((CleaningRobot)myAgent).simulator.getLoadAmount()));
		} catch (PortException e) {
			e.printStackTrace();
		}
	}
}