package robot.de.comp.additional;

import org.dyncle.ComponentBehaviour;
import org.dyncle.Mode;

import robot.de.CleaningRobot;

/**
 * Component for unload dust items into dust bin <br/>
 * @author Hiroyuki NAKAGAWA
 */
@SuppressWarnings("serial")
public class UnloadDust extends ComponentBehaviour {

	public UnloadDust(CleaningRobot agent) {
		super(agent, "UnloadDust", "UnloadDust");
	}

	/**
	 * Execution task
	 */
	public void perform() {
		System.out.println("Component: UnloadDust");
		System.out.println("\tUnload Dust items ...");
		if(((CleaningRobot)myAgent).simulator.unloadDust()){
			System.out.println("\tUnload all dust items");
			mode = Mode.ACHIEVED;
		}
		else{
			System.out.println("*** Robot can't unload dust items ***");
		}
	}
}
